Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#740 closed defect (fixed)

_Heap_Get_free_information() bug, -- wrong info->largest.

Reported by: osv2 Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: score Version: 4.6
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The _Heap_Get_free_information() routine returns the size of the last block in the info->largest, where the largest block size should be returned.

Release:
4.6.99.1

Attachments (1)

pr740.diff (524 bytes) - added by osv2 on 12/03/06 at 13:31:13.
pr740.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 01/20/05 at 16:22:53 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch applied. Code soon to be replaced by new
heap which uses less memory and provides aligned allocation.

Only fixed for completeness and because the new free info

fix needs to be in the 4.6 branch before 4.6.3.

Changed on 12/03/06 at 13:31:13 by osv2

Attachment: pr740.diff added

pr740.diff

Note: See TracTickets for help on using tickets.